Ubuntu 13.10 upgrade: audacity sound is trashed, program highly unstable

Bug #1246092 reported by teledyn on 2013-10-29
252
This bug affects 57 people
Affects Status Importance Assigned to Milestone
audacity (Ubuntu)
High
Unassigned

Bug Description

On playback I get a rough static that crackles corresponding to the waveform intensity; on occasion the sound may start as noise and then flip into proper sound output, but when paused the subsequent playback will produce static and pausing that will crash the program. I have tried Playback set to Alsa/pulse and Alsa/default, both give this behaviour. When the selected sample is played as noise, the scrolling cursor works, but appears to be scrolling by much faster than real-time.

also, when the playback works, the scrolling cursor behaves very strangely: the thin line may not move at all, or a segment of it may stay put while another part of it scrolls along with the sound.

This is a fresh upgrade to 13.10 on a 64-bit Ubuntu machine, a ZaReason Strata laptop with nvidia sound (according to alsa).

Audacity worked fine on 13.04, occasional lock ups, but Audacity is prone to occasional lock-ups, and the sound was fine. Audio works fine with other audio apps including youtubes, totem, vlc and sushi. If I highlight a segment of sound in Audacity and export to disk as mp3, sushi will play the resulting mp3 fine. The problem seems peculiar to Audacity playback.

ProblemType: Bug
DistroRelease: Ubuntu 13.10
Package: audacity 2.0.3-1
ProcVersionSignature: Ubuntu 3.11.0-12.19-generic 3.11.3
Uname: Linux 3.11.0-12-generic x86_64
NonfreeKernelModules: nvidia
AlsaCards:
 0 [PCH ]: HDA-Intel - HDA Intel PCH
                       HDA Intel PCH at 0xc5400000 irq 50
  1 [NVidia ]: HDA-Intel - HDA NVidia
                       HDA NVidia at 0xc3000000 irq 17
ApportVersion: 2.12.5-0ubuntu2
Architecture: amd64
Date: Tue Oct 29 17:24:18 2013
InstallationDate: Installed on 2012-04-27 (550 days ago)
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Release amd64 (20120425)
MarkForUpload: True
ProcEnviron:
 LANGUAGE=en_CA:en
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_CA.UTF-8
 SHELL=/bin/bash
SourcePackage: audacity
UpgradeStatus: Upgraded to saucy on 2013-10-22 (6 days ago)

teledyn (garym-teledyn) wrote :
summary: - audacity sound is trashed, program highly unstable
+ Ubuntu 13.10 upgrade: audacity sound is trashed, program highly unstable
teledyn (garym-teledyn) wrote :

just re-ran this with Audacity 2.0.6-alpha-Oct 30 2013 from the ppa:audacity-team/daily and I get this same behaviour, although I now notice that I get the following output on stderr

   ALSA lib pcm.c:7843:(snd_pcm_recover) underrun occurred

when the program begins (sorry I didn't think to include cli output last time) I get the following ...

(process:11782): GLib-GObject-WARNING **: Attempt to add property GnomeProgram::default-icon after class was initialised
ALSA lib pcm_dmix.c:1022:(snd_pcm_dmix_open) unable to open slave
ALSA lib pcm.c:2239:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.rear
ALSA lib pcm.c:2239:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.center_lfe
ALSA lib pcm.c:2239:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.side
bt_audio_service_open: connect() failed: Connection refused (111)
bt_audio_service_open: connect() failed: Connection refused (111)
bt_audio_service_open: connect() failed: Connection refused (111)
bt_audio_service_open: connect() failed: Connection refused (111)
ALSA lib pcm_dmix.c:961:(snd_pcm_dmix_open) The dmix plugin supports only playback stream
ALSA lib pcm_dmix.c:1022:(snd_pcm_dmix_open) unable to open slave
Cannot connect to server socket err = No such file or directory
Cannot connect to server request channel
jack server is not running or cannot be started
Expression 'ret' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 1670
Expression 'AlsaOpen( &alsaApi->baseHostApiRep, params, streamDir, &self->pcm )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 1830
Expression 'PaAlsaStreamComponent_Initialize( &self->capture, alsaApi, inParams, StreamDirection_In, NULL != callback )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 2092
Expression 'PaAlsaStream_Initialize( stream, alsaHostApi, inputParameters, outputParameters, sampleRate, framesPerBuffer, callback, streamFlags, userData )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 2764
ALSA lib pcm_dsnoop.c:618:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm_dsnoop.c:618:(snd_pcm_dsnoop_open) unable to open slave

(repeated many times)

ALSA lib pcm_dsnoop.c:618:(snd_pcm_dsnoop_open) unable to open slave
Expression 'ret' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 1670
Expression 'AlsaOpen( &alsaApi->baseHostApiRep, params, streamDir, &self->pcm )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 1830
Expression 'PaAlsaStreamComponent_Initialize( &self->capture, alsaApi, inParams, StreamDirection_In, NULL != callback )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 2092
Expression 'PaAlsaStream_Initialize( stream, alsaHostApi, inputParameters, outputParameters, sampleRate, framesPerBuffer, callback, streamFlags, userData )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 2764
Expression 'stream->playback.pcm' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 4541
Expression 'stream->playback.pcm' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 4541

teledyn (garym-teledyn) wrote :

problem persists with the 2.0.5 packages found on https://launchpad.net/ubuntu/+source/audacity, however I was able to attempt a playback three times in a row, once was garbled, the second started garbled and flipped into good sound, the third played garbled again but then hangs and emits the following:

audacity: pthread_mutex_lock.c:326: __pthread_mutex_lock_full: Assertion `robust || (oldval & 0x40000000) == 0' failed.
Aborted (core dumped)

it says 'core dumped' but I do not see any core files in my pwd; are these stashed somewhere else, or is there some setting I might have that is preventing cores from lingering?

teledyn (garym-teledyn) wrote :

another test result: if I open the unity panel Sound icon settings on the Applications tab, I see two entries for Chromium (my browser here is open). I then start the 2.0.5 Audacity, which is set to Alsa/default, and load my audio file, then click play, I hear static, but now the Sound Settings 'Applications' list box quivers, the lower "Output volume" indicator jiggles up and down as if it is adding and removing a third list item, flopping faster than the list box can update.

teledyn (garym-teledyn) wrote :

workaround: audacity 2.0.5 works fine when running under jackd, sound starts and stops without incident.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in audacity (Ubuntu):
status: New → Confirmed
teledyn (garym-teledyn) wrote :

after running apt-get upgrade, I noticed many sound related packages were updated in the past week and the issue, on my machine, has vanished.

teledyn (garym-teledyn) wrote :

that above report was on using version 2.0.5, and then tested with the current Ubuntu 2.0.3

teledyn (garym-teledyn) wrote :

The problem returned tonight -- not at all sure what might have set it off, I had edited several tapes, and then started a new sessions and the sound was trash and the playback caused audacity to hang, and repeated restarts gave the same results; I did a restart with qjackctl running and was able to finish my edit work using the jackd sound.

but it did work for several sessions across several days without incident. Major other software running was Chrome.

Jason Ribeiro (jrib) wrote :

Also, coming across this on saucy with audacity package version 2.0.3-1 from universe. One workaround seems to be to go to preferences and select your playback device explicitly (and not to "default" or "pulse").

TimSC (timsc) wrote :

A work around: temporarily disable pulseaudio. Instructions are here http://www.linuxplanet.com/linuxplanet/tutorials/7130/2

Felipe Castillo (fcastillo.ec) wrote :

Adding this line before executing audacity fixed the problem completely for me, without disabling pulseaudio or changing the output hardware:

env PULSE_LATENCY_MSEC=30 audacity

I give credit to this post for the fix: http://discourse.ubuntu.com/t/call-for-confirmation-audacity-pulseaudio-issues-on-13-10/969/6

Same thing worked for me.

I no longer get the problem using Nightly builds.

http://about.me/rolandixor/

On Tue, Jan 14, 2014 at 4:52 AM, Felipe Castillo <<email address hidden>
> wrote:

> Adding this line before executing audacity fixed the problem completely
> for me, without disabling pulseaudio or changing the output hardware:
>
> env PULSE_LATENCY_MSEC=30 audacity
>
> I give credit to this post for the fix: http://discourse.ubuntu.com/t
> /call-for-confirmation-audacity-pulseaudio-issues-on-13-10/969/6
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1217691).
> https://bugs.launchpad.net/bugs/1246092
>
> Title:
> Ubuntu 13.10 upgrade: audacity sound is trashed, program highly
> unstable
>
> Status in “audacity” package in Ubuntu:
> Confirmed
>
> Bug description:
> On playback I get a rough static that crackles corresponding to the
> waveform intensity; on occasion the sound may start as noise and then
> flip into proper sound output, but when paused the subsequent playback
> will produce static and pausing that will crash the program. I have
> tried Playback set to Alsa/pulse and Alsa/default, both give this
> behaviour. When the selected sample is played as noise, the scrolling
> cursor works, but appears to be scrolling by much faster than real-
> time.
>
> also, when the playback works, the scrolling cursor behaves very
> strangely: the thin line may not move at all, or a segment of it may
> stay put while another part of it scrolls along with the sound.
>
> This is a fresh upgrade to 13.10 on a 64-bit Ubuntu machine, a
> ZaReason Strata laptop with nvidia sound (according to alsa).
>
> Audacity worked fine on 13.04, occasional lock ups, but Audacity is
> prone to occasional lock-ups, and the sound was fine. Audio works
> fine with other audio apps including youtubes, totem, vlc and sushi.
> If I highlight a segment of sound in Audacity and export to disk as
> mp3, sushi will play the resulting mp3 fine. The problem seems
> peculiar to Audacity playback.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 13.10
> Package: audacity 2.0.3-1
> ProcVersionSignature: Ubuntu 3.11.0-12.19-generic 3.11.3
> Uname: Linux 3.11.0-12-generic x86_64
> NonfreeKernelModules: nvidia
> AlsaCards:
> 0 [PCH ]: HDA-Intel - HDA Intel PCH
> HDA Intel PCH at 0xc5400000 irq 50
> 1 [NVidia ]: HDA-Intel - HDA NVidia
> HDA NVidia at 0xc3000000 irq 17
> ApportVersion: 2.12.5-0ubuntu2
> Architecture: amd64
> Date: Tue Oct 29 17:24:18 2013
> InstallationDate: Installed on 2012-04-27 (550 days ago)
> InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Release amd64
> (20120425)
> MarkForUpload: True
> ProcEnviron:
> LANGUAGE=en_CA:en
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=en_CA.UTF-8
> SHELL=/bin/bash
> SourcePackage: audacity
> UpgradeStatus: Upgraded to saucy on 2013-10-22 (6 days ago)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/audacity/+bug/1246092/+subscriptions
>

Changed in audacity (Ubuntu):
importance: Undecided → High
Ben French (octoamit) wrote :

I also have experienced this problem with Audacity, in Ubuntu 13.10, Ubuntu Studio 13.10, and in Fedora 20 which I'm running now.

@Felipe Castillo (fcastillo.ec)
This worked for me too! Thank you and Nicolay​_​G!
I ran:
sudo sed -i 's/^Exec=.*/Exec=env PULSE_LATENCY_MSEC=30 audacity %U/' /usr/share/applications/audacity.desktop

Gonzalo Cao (gonzalo-cao) wrote :

Workarround #14 work perfectly for me

Paula Breton (parashep) wrote :

same thing here, output is filled with "ALSA lib pcm.c:7843:(snd_pcm_recover) underrun occurred" on playback, though it was working flawlessly for a couple minutes before this started happening. workaround #14 seemed to allow it to play back, but the sound was flawed with pops and clicks.

George Moutsopoulos (gmoutso) wrote :

same here, all symptoms above, env PULSE_LATENCY_MSEC=30 audacity solves it

Reflecting previous comment, same symptom. Interestingly however, it works with the value down to PULSE_LATENCY_MSEC=1 for me. But not supplying this, garbled sound with tendency to freeze.

teledyn (garym-teledyn) wrote :

I tried the latency set to 30 and I get sound and no lock-ups, but the
sound is clipped on playback (generated mp3s are fine)

On 5/1/14, Robert Showalter <email address hidden> wrote:
> Reflecting previous comment, same symptom. Interestingly however, it
> works with the value down to PULSE_LATENCY_MSEC=1 for me. But not
> supplying this, garbled sound with tendency to freeze.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1246092
>
> Title:
> Ubuntu 13.10 upgrade: audacity sound is trashed, program highly
> unstable
>
> Status in “audacity” package in Ubuntu:
> Confirmed
>
> Bug description:
> On playback I get a rough static that crackles corresponding to the
> waveform intensity; on occasion the sound may start as noise and then
> flip into proper sound output, but when paused the subsequent playback
> will produce static and pausing that will crash the program. I have
> tried Playback set to Alsa/pulse and Alsa/default, both give this
> behaviour. When the selected sample is played as noise, the scrolling
> cursor works, but appears to be scrolling by much faster than real-
> time.
>
> also, when the playback works, the scrolling cursor behaves very
> strangely: the thin line may not move at all, or a segment of it may
> stay put while another part of it scrolls along with the sound.
>
> This is a fresh upgrade to 13.10 on a 64-bit Ubuntu machine, a
> ZaReason Strata laptop with nvidia sound (according to alsa).
>
> Audacity worked fine on 13.04, occasional lock ups, but Audacity is
> prone to occasional lock-ups, and the sound was fine. Audio works
> fine with other audio apps including youtubes, totem, vlc and sushi.
> If I highlight a segment of sound in Audacity and export to disk as
> mp3, sushi will play the resulting mp3 fine. The problem seems
> peculiar to Audacity playback.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 13.10
> Package: audacity 2.0.3-1
> ProcVersionSignature: Ubuntu 3.11.0-12.19-generic 3.11.3
> Uname: Linux 3.11.0-12-generic x86_64
> NonfreeKernelModules: nvidia
> AlsaCards:
> 0 [PCH ]: HDA-Intel - HDA Intel PCH
> HDA Intel PCH at 0xc5400000 irq 50
> 1 [NVidia ]: HDA-Intel - HDA NVidia
> HDA NVidia at 0xc3000000 irq 17
> ApportVersion: 2.12.5-0ubuntu2
> Architecture: amd64
> Date: Tue Oct 29 17:24:18 2013
> InstallationDate: Installed on 2012-04-27 (550 days ago)
> InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Release amd64
> (20120425)
> MarkForUpload: True
> ProcEnviron:
> LANGUAGE=en_CA:en
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=en_CA.UTF-8
> SHELL=/bin/bash
> SourcePackage: audacity
> UpgradeStatus: Upgraded to saucy on 2013-10-22 (6 days ago)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/audacity/+bug/1246092/+subscriptions
>

--
*Teledyn Addendum: teledyn blogspot ca*
*eso: **EighthStreetOrchestra blogspot ca*

Adrian Mariano (avm4) wrote :

I am experiencing this bug in 14.04. It sems that PULSE_LATENCY_MSEC=30 solves the problem for me.

Marcos Lucas (baaltzebub) wrote :

The PULSE_LATENCY_MSEC=30 was not a solution for me. My definitive solution was :

There is a bar with ALSA as the Audio-Host and "default" as Output Device.

Well. I Changed the Output Device to my REAL device (HDA Intel : VT2020 Analog)

And now the problem is solved.

Appears that "default" Output Device is bugged. Try change it to the your real device.

I hope that it solves the problem for you, as solved for me.

shafin (mahdee-jameel) wrote :

I ran into this problem on Ubuntu 14.04 64 bit. The method from pos 14 initially did not work for me, but setting PULSE_LATENCY_MSEC=1 using the same command did the trick. I also tried the method from post 21 first, which, unfortunately, did not work for me.

Mayank Suman (mayanksuman) wrote :

I was facing this problem in Ubuntu 14.04 and Audacity 2.0.5 but fix given at #14 solved it.
Run in terminal
sudo sed -i 's/^Exec=.*/Exec=env PULSE_LATENCY_MSEC=30 audacity %U/' /usr/share/applications/audacity.desktop

I have hit this problem but none of the workrounds seem to help

msp3k (peek-nimbios) wrote :

For months solution #14 w/ PULSE_LATENCY_MSEC=1 worked for me. Something changed recently and now this solution no longer works. Any setting for PULSE_LATENCY_MSEC less than 25 results in no playback at all. Any value greater results in the same static that I get when I don't use PULSE_LATENCY_MSEC at all. Also, the solution from #21 does not work for me.

This is no longer an issue for me, as I have set the parameter "Audio to buffer" to 200

Simon (b-simon-9) wrote :

FWIW, solution #21 seems to have worked for me, Ubuntu 14.04, x64, 16Gb i7 processor

pad (pad-lee) wrote :

Thank you very much, the solution #21 was the right one for me!

I changed the outputdevice from default to HW:0,0 Analog.

Audacity 2.0.5

uname -a
Linux G75VX 3.13.0-43-generic #72-Ubuntu SMP Mon Dec 8 19:35:06 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

cat /proc/asound/cards
 0 [PCH ]: HDA-Intel - HDA Intel PCH
                      HDA Intel PCH at 0xf5310000 irq 44
 1 [NVidia ]: HDA-Intel - HDA NVidia
                      HDA NVidia at 0xf5080000 irq 17

lspci | grep -i audio
00:1b.0 Audio device: Intel Corporation 7 Series/C210 Series Chipset Family High Definition Audio Controller (rev 04)
01:00.1 Audio device: NVIDIA Corporation GK104 HDMI Audio Controller (rev a1)

Regards,

patrice

Tylar (murray-tylar) wrote :

Workaround #21 didn't work for me; #14 did though. Thanks!

Stray (ryanpeterwrites) wrote :

I get the same problem when I have Chrome open. Close Chrome, it works. I had a hunch it might work when I saw Chrome under the applications settings under sound settings. Tried it several times - close Chrome, Audacity stops crackling and works properly.

The Bright Side (me-knowingme) wrote :

The workaround in #14 used to work for me before 15.04 and before buying my new PC (both of which coincided). Now, this bug is here to stay, and none of the workarounds above fix it.

The Bright Side (me-knowingme) wrote :

Laos, my device toolbar shows no devices. It only shows a mic icon and a speaker icon and nothing else. I can change devices from the preferences, though.

The Bright Side (me-knowingme) wrote :

Here's what fixed it for me:

Preferences
=> Recording
=> "Audio to buffer" to 300

Thanks to post #26!

olligobber (sirolligobbervii) wrote :

This effects me on Ubuntu 15.04, only since I upgraded from 14.10.

Also, I have noticed a very similar effect in timidity ( https://bugs.launchpad.net/ubuntu/+source/timidity/+bug/1469113 )

olligobber (sirolligobbervii) wrote :

I have show a connection between this bug and an ALSA bug, which I will test on a clean install (live usb).

Starbeamrainbowlabs (sbrl) wrote :

This issue affects me too, but the workaround described in comment #21 (not #14) works for me. Here are my system details:

uname -a:

    Linux Snowflake 3.19.0-30-generic #34-Ubuntu SMP Fri Oct 2 22:08:41 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

cat /etc/proc/asound/cards:

     0 [PCH ]: HDA-Intel - HDA Intel PCH
                          HDA Intel PCH at 0xf7b00000 irq 39
     1 [NVidia ]: HDA-Intel - HDA NVidia
                          HDA NVidia at 0xf6080000 irq 17

Laptop Model: Dell Inspiron N5110

I'm running Ubuntu 14.04 and have the same issue with the underflow error being thrown in the terminal.

SAKDOSS (sakdoss) wrote :

Same issue, the only workaround which worked was #33,

Thanks.

John Kwasnik (johnkwasnik) wrote :

Thanks to Marcos Lucas for solution #21, which worked for me. Leaving the output / input devices set to "default" causes the problem. Explicitly changing to the actual devices, in my case:

HDA Intel PCH: ALC892 Analog (hw:0,0) / HDA Intel PCH: ALC892 Alt Analog (hw:0,2): line:0

makes everything just dandy again.

re: Audacity 2.0.5 and Linux Mint 17.3 MATE

The "default" setting DID work in Audacity 2.0.0 running under Linux Mint 13 MATE.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers